package com.jpsoft.employment.modules.sys.dao;

import com.jpsoft.employment.modules.common.dto.Sort;
import com.jpsoft.employment.modules.sys.entity.User;
import com.jpsoft.employment.modules.sys.entity.UserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface UserDAO {
	int insert(User entity);
	int update(User entity);
	int exist(String id);
	User get(String id);
	int delete(String id);
	List<User> list();
	List<User> search(Map<String, Object> searchParams, List<Sort> sortList);
	User findByUserName(@Param("userName") String userName);
    long hasRole(@Param("userId") String userId, @Param("roleName") String roleName);
    User findByOpenId(String openId);

    UserVO getUser(String id);

	List<String> findByRoleIdAndCompanyId(String roleId,String companyId);
}